Subject: categories: subcategories of functor categories

From: Tobias Schroeder <[email-masked]>
Date: Thu, 16 Nov 2000 09:48:03 +0100 (CET)

Hi,
given a Set-endofunctor F:Set-->Set and a "type" L of limit
I'm searching for a "related" functor F_L:Set--->Set that
preserves that type of limit. 

Example: As Vera Trnkova has proved around 1970 each
Set-endofunctor can turned into a functor that preserves
pullbacks of injective mappings just by modifying it
on the empty set and the empty mappings. - Now given
a functor that does not preserve pullbacks I'd like
to find a "related" one that does.

I'm not quite sure what "related" means. My
first idea was to consider the functor category
Fun(Set,Set) (not being abhorred by possible
size problems) and the subcategory Fun_L(Set,Set)
of Set-endofunctors that preserve limits
of type L. Then if Fun_L(Set,Set) were reflective
or coreflective in Fun(Set,Set) ...
but I think it is not. 

So does anybody have an idea which type of
"relatedness" could be considered? Is
there some concept concerning these problem
in category theory?

Thank you very much

Tobias Schroeder

--------------------------------------------------------------
Tobias Schröder
FB Mathematik und Informatik
Philipps-Universität Marburg
WWW: http://www.mathematik.uni-marburg.de/~tschroed
email: [email-masked]